import request from '@/utils/request'

export function getList(params) {
  return request({
    url: '/task/list',
    method: 'get',
    params
  })
}

export function save(params) {
  return request({
    url: '/task',
    method: 'post',
    params
  })
}

export function remove(id) {
  return request({
    url: '/task',
    method: 'delete',
    params: {
      id: id
    }
  })
}

export function logList(params) {
  return request({
    url: '/task/logList',
    method: 'get',
    params
  })
}

export function enable(id) {
  return request({
    url: '/task/enable/' + id,
    method: 'POST'
  })
}

export function disable(id) {
  return request({
    url: '/task/disable/' + id,
    method: 'POST'
  })
}
